<div class="mb-3 d-flex direction-row flex-wrap">
    <div class="bm-panel p-3 mb-2 mr-lg-5 mr-sm-0" style="width: 340px;">
        <div class="d-flex justify-content-between direction-row flex-wrap mb-3">
            <div class="bm-label-18 dark-grey-blue w-50">
                <b>{{$ctrl.patient_data.first_name}} {{$ctrl.patient_data.last_name}}</b>
            </div>
            <div>
                {{$ctrl.patient_data.ic_number}}
            </div>
        </div>

        <div class="d-flex justify-content-between direction-row flex-wrap mb-3">
            <div class="bm-label-16 dark-grey-blue">
                {{::$ctrl.patient_data.country_name}}, {{::$ctrl.patient_data.calc_birthday}}, {{$ctrl.patient_data.gender.name}}
            </div>
            <div>
                <img src="../../../images/Icon.png"> {{$ctrl.patient_data.contact.mobile}}
            </div>
        </div>

        <div class="bm-label-16 dark-grey-blue">
            <div>
                DOB - {{::$ctrl.patient_data.birth_date | date:"MMM"}} {{::$ctrl.patient_data.birth_date | date:"dd"}},
                {{::$ctrl.patient_data.birth_date | date:"yyyy"}}
            </div>
        </div>
    </div>

    <div class="bm-panel abnormal-box mb-2">
        <div class="bm-label-18 mb-3 dark-grey-blue ml-4 mt-3 mb-2">
            <b>
                Recently Abnormal Biomarkers
            </b>
        </div>
        <div class="border-bottom"></div>
        <div class="w-100">
            <div class="abnormal-result d-flex flex-row flex-wrap w-100 justify-content-between p-2">
                <div ng-repeat="test in $ctrl.bloodReport" style="width: 43%;" class="mb-1">
                    <div class="d-flex justify-content-between p-1 flex-row w-100">
                        <div class="d-flex flex-column">
                            <div class="bm-label-12 dark-grey-blue">
                                <b>{{test.name}}</b>
                            </div>
                            <div class="bm-label-10">{{test.normal_range}}</div>
                        </div>
                        <div class="test-result-box d-flex justify-content-between align-items-center p-1 flex-row">
                            <div style="border-radius: 50%; background-color: #EF3E4A; height: 9px; width: 9px;"></div>
                            <div class="bm-label-12 dark-grey-blue"> <b>{{test.result}}</b></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>
<div class="d-flex flex-lg-row flex-column">
    <div class="col-lg-8 h-100 mr-lg-2">
        <div class="bio-generic-card p-2" style="overflow: unset">
            <div class="px-3 pt-3">
                <div class="form-group d-flex flex-row w-100 flex-row justify-content-between mx-auto">
                    <label class="bm-label-14 dark-grey-blue mt-2"><b>Select Lab</b></label>

                    <i class="far fa-check-circle mt-2" ng-class="{green : $ctrl.isLabSelected}"></i>
                    <select ng-model="$ctrl.order.clinic" class="form-control mb-2 w-75 mr-3"
                        ng-change="$ctrl.labSelected()"
                        ng-options="a.id as a.name for a in $ctrl.requirements.laboratories">
                        <option value="" selected hidden>Select Lab</option>
                    </select>
                </div>
            </div>
            <hr>
            <div class="p-3 d-flex flex-row w-100 flex-row justify-content-between mx-auto">
                <div>
                    <label class="bm-label-14 dark-grey-blue mt-2"><b>Search Tests</b></label>
                </div>
                <div class="order_search_wrapper w-75">
                    <input type="text" class="form-control" ng-model="$ctrl.filter"
                        placeholder="Search by Panel Code/Test Code/Test Name">
                    <i class="fas fa-search icon-search"></i>
                </div>

            </div>
            <div class="px-3 pb-2 d-flex flex-row">
                <select ng-model="$ctrl.speciltyFilter" class="form-control mb-2 mr-3"
                    ng-options="a as a for a in $ctrl.specialities | orderBy: 'name' track by a">
                    <!-- <option value="" selected hidden>Filter by Specialty</option> -->
                    <option value="" selected>Filter by Specialty</option>
                </select>

                <select ng-model="$ctrl.deptFilter" class="form-control mb-2 mr-3"
                    ng-options="a as a for a in $ctrl.departments">
                    <!-- <option value="" selected hidden>Filter by Department</option> -->
                    <option value="" selected>Filter by Department</option>
                </select>
                <!-- <div>Tag Ons</div> -->
            </div>
            <div class="border-bottom"></div>
            <div class="p-3 d-flex flex-row bm-label-12 bluey-grey">
                <div style="width:130px">CODE</div>
                <div>NAME</div>
            </div>
            <!-- {{$ctrl.requirements.packages }} -->
            <div class="border-bottom"></div>
            <div style="height: 536px;" class="test_wrapper_container bm-label-12 dark-grey-blue">
                <!-- <div ng-repeat="a in $ctrl.requirements.packages | filter: {name: $ctrl.tmp_string, panel_code: $ctrl.tmp_string, code: $ctrl.tmp_string, speciality: $ctrl.speciltyFilter, department: $ctrl.deptFilter} : false" -->
                <div ng-repeat="a in $ctrl.requirements.packages | filter: $ctrl.filter | filter: $ctrl.speciltyFilter | filter: $ctrl.deptFilter"
                    class="px-3 d-flex flex-row align-items-center border-bottom" style="height:50px">
                    <div style="width:120px;height: 30px;"
                        class="border mr-2 d-flex justify-content-center align-items-center bm-label-12 bluey-grey">
                        <b>{{::a.panel_code}}</b>
                    </div>
                    <div class="d-flex flex-row align-items-center justify-content-between flex-row" style="width:100%">
                        <div class="border test-name-field d-flex align-items-center justify-content-between ">
                            <div class="ml-1">{{::a.test_name}}</div>
                            <!-- <div class="bm-label-10 bluey-grey">N/A</div> -->
                        </div>
                        <div class="d-flex flex-row justify-content-around align-items-center ml-3 mr-2">
                            <div class="mr-2">
                                <i class="material-icons md-18 bluey-grey pointer"
                                    ng-click="$ctrl.show_popup(a.test_code)">
                                    info_outline
                                </i>
                            </div>
                            <div>
                                <button ng-if="!a.is_order" class="active-btn"
                                    ng-click="$ctrl.add_package(a, $index)"><i class="fas fa-plus"></i></button>
                                <i ng-if="a.is_order" title="remove" ng-click="$ctrl.removeOrderedPkg(a)"
                                    class="far fa-check-circle green" style="font-size: 18px;"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="summary-container">
        <div class="p-3">
            <div class="d-flex flex-row  justify-content-between align-items-center">
                <div class="bm-label-16 dark-grey-blue"><b>Summary</b></div>

                <label class="bm-label-14 warning_message">*Mandatory Selections</label>
            </div>
        </div>
        <div class="p-2">
            <div>
                <label class="bm-label-12 diagnosis-label">Current and previous diagnosis</label>
                <!-- <tags-input ng-model="$ctrl.selectedDiagnosis" placeholder=" ">
                    <auto-complete id="autocomplet" load-on-empty="true" source="$ctrl.filterDiagnosisSearch($query)"
                        min-length="1"></auto-complete>
                </tags-input> -->

                <div class="border diagnosis-style" ng-click="$ctrl.openInput('diagnoInp')"
                    id="drungs">
                    <div class="d-flex flex-row flex-wrap ml-2 p-1">
                        <div ng-repeat="a in $ctrl.order.selectedDiagnosis track by $index">
                            <div class="tag mr-2 d-flex justify-content-center mt-2">
                                <div class="dark-grey-blue mr-2 mb-2">{{a}} </div>
                                <div class="pointer" ng-click="$ctrl.removeDiagnosis(a)">X</div>
                            </div>
                        </div>
                        <input ng-model="$ctrl.tempDigno" id="diagnoInp" style="border: none;outline: none;"
                            ng-keyup="($event.keyCode == 32) || ($event.keyCode == 13) ? $ctrl.addDiagno($ctrl.tempDigno) :''; $ctrl.filterDiagnosisSearch()">
                    </div>
                </div>
                <div class="suggestion-container border" ng-if="$ctrl.openDiagnoSuggestion"
                    click-outside="$ctrl.openDiagnoSuggestion = false">
                    <div class="d-flex flex-row search-result-items p-2 align-items-center pointer cursor-changer"
                        ng-click="$ctrl.addDiagno(a)" ng-repeat="a in $ctrl.filterDiagnosisSearch() track by $index">
                        <div class=" dark-grey-blue ">{{a}}</div>
                    </div>
                </div>
            </div>
            <div>
                <label class="bm-label-12 diagnosis-label">Concurrent Drug Therapy</label>
                <!-- <tags-input ng-model="$ctrl.selectedDrugs" placeholder=" "> -->
                <!-- <div class="warning_message bottom-right" ng-click="$ctrl.filterDiagnosisSearch('*'); $ctrl.chagefocus()">
                        <i class="fas fa-plus"></i>
                    </div> -->
                <!-- <auto-complete id="autocomplet" load-on-empty="true" source="$ctrl.filterDrugSearch($query)"
                    min-length="1"></auto-complete> -->


                <!-- </tags-input> -->
                <div class="border diagnosis-style" ng-click="$ctrl.openInput('drugsInp')"
                    id="drungs">
                    <div class="d-flex flex-row flex-wrap ml-2 p-1">
                        <div ng-repeat="a in $ctrl.order.selectedDrugs track by $index">
                            <div class="tag d-flex justify-content-center mr-2 mt-2">
                                <div class="mr-2 mb-2">{{a}} </div>
                                <div class="pointer" ng-click="$ctrl.removeDrug(a)">X</div>
                            </div>
                        </div>
                        <input class="" ng-model="$ctrl.tempDrug" id="drugsInp" style="border: none;outline: none;"
                            ng-keyup="($event.keyCode == 32) || ($event.keyCode == 13) ? $ctrl.addDrug($ctrl.tempDrug) :''; $ctrl.filterDrugSearch()">
                    </div>
                </div>

                <div class="suggestion-container border" ng-if="$ctrl.openDrugSuggestion"
                    click-outside="$ctrl.openDrugSuggestion = false">
                    <div class="d-flex flex-row search-result-items p-2 align-items-center pointer cursor-changer"
                        ng-click="$ctrl.addDrug(a)" ng-repeat="a in $ctrl.filterDrugSearch() track by $index">
                        <div class=" dark-grey-blue ">{{a}}</div>
                    </div>

                </div>
                <!-- <ul class="list-group" ng-if="$ctrl.openDrugSuggestion">
                    <li class="list-group-item" ng-repeat="item in $ctrl.filterDrugSearch() track by $index">{{item}}</li>
                </ul>   -->

            </div>

        </div>
        <div class="border-bottom"></div>
        <div class="p-3">
            <div style="height: 62px;" ng-if="$ctrl.patient_data.gender.name == 'Female'">
                <div>
                    <label class="bm-label-12">Last Menstrual Period</label>
                    <div class="last-menstrual-period-div">
                        <datetimepicker class="w-100" date-format="dd/MM/yyyy" show-button-bar="false"
                            hidden-time="true" ng-model="$ctrl.order.menstrual" date-options="$ctrl.dateOptions"
                            date-opened="$ctrl.dateShowFlag">
                        </datetimepicker>
                        <img class="last-menstrual-period-img" src="../../../images/Calendar_Icon.svg" ng-click="$ctrl.dateShowFlag = true" />
                    </div>
                </div>
            </div>

            <div class="form-group mt-3">
                <label class="bm-label-14 bluey-grey">
                    <b>Clinical Indications</b> <b class="warning_message">*</b>
                </label>
                <textarea style="height: 137px;" ng-model="$ctrl.order.clinical_indication" class="form-control"
                    required></textarea>
            </div>
            <div>
                <label class="bm-label-14 dark-grey-blue">
                    <b>SEND COPY TO PAYOR/ PHYSICIANS</b>
                </label>
                <div>
                    <div class="d-flex flex-row align-items-end">
                        <label class="bm-label-14 bluey-grey mb-0 d-flex flex-row">
                            <!-- <b>CC :</b> -->
                            <div>CC</div>
                            <div>:</div>
                        </label>
                        <div class="d-flex flex-row ml-2">
                            <div ng-repeat="a in $ctrl.order.cc">
                                <div class="email_result">{{a}} <span class="pointer"
                                        ng-click="$ctrl.removeCC(a)">X</span></div>
                            </div>
                            <input class="" class="warning-message: {{$ctrl.emailInvalid}}" ng-model="$ctrl.tempCC"
                                style="width: 100%;outline: none;border: none;"
                                ng-keyup="($event.keyCode == 32) || ($event.keyCode == 13) ? $ctrl.addEmail() :''">
                        </div>
                    </div>
                </div>
                <hr>
                <div class="d-flex flex-row align-items-center">
                    <label class="bm-label-14 bluey-grey mb-0">
                        <b>Subject:</b>
                    </label>
                    <input class="ml-1" ng-model="$ctrl.order.subject" style="width: 100%;outline: none;border: none;">
                </div>

            </div>
            <div class="d-flex flex-row align-items-center justify-content-end">
                <div ng-if = "!$ctrl.order.is_urgent" class="bm-label-12 mr-2 dark-grey-blue">ROUTINE</div>
                <div ng-if = "$ctrl.order.is_urgent" class="bm-label-12 mr-2 dark-grey-blue">URGENT</div>
                <div class="toggle-selector" ng-class="($ctrl.order.is_urgent) ? 'on':'off'"
                    ng-click="$ctrl.toggle_urgency()">
                    <div ng-if="!$ctrl.order.is_urgent" class="toggle-icon mr-auto"></div>
                    <div ng-if="$ctrl.order.is_urgent" class="toggle-icon ml-auto"></div>
                </div>
            </div>

        </div>
    </div>

</div>
<div class="row d-flex justify-content-end">
    <button class="button-back mr-3" ng-click="$ctrl.moveToEorders()">Back</button>
    <!-- <div class="back-button" ng-click="$ctrl.moveToEorders()">Back</div> -->
    <!-- <button class="button-back mr-3" ng-click="$ctrl.schedule = true">Schedule</button> -->
    <button class="btn btn-danger biomark-btn-primary mr-3" ng-click="$ctrl.scheduleCollection()">Schedule</button>
    <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.moveTosampleCollection()">Continue</button>

    <!-- <button class="back-button" ng-click="$ctrl.moveToEorders()">Back</button> -->
</div>
<div class="biomark-modal" ng-if="$ctrl.order_package_detail" click-outside="$ctrl.op_close_modal()">
    <div class="modal_container dark-grey-blue">
        <div class="modal-closer-icon" ng-click="$ctrl.op_close_modal()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="px-3 pt-3 border-bottom">
            <div class="mb-3"><b>{{$ctrl.modal_init_data.test_code}} </b>({{$ctrl.modal_init_data.test_name}})</div>
            <div class="d-flex flex-row bluey-grey bm-label-14">
                <div class="wd-100">
                    <div class="md-tab active-md-tab pb-2">Package</div>
                </div>
                <!-- <div class="pb-1">Tag-ons</div> -->
            </div>
        </div>
        <div class="px-3">
            <div class="d-flex flex-row bm-label-12 bluey-grey">
                <div class="wd-100 py-2">CODE</div>
                <div class="wd-200 border-right py-2">NAME</div>
                <div class="py-2 pl-2">SPECIMEN REQUIREMENTS</div>
            </div>
        </div>
        <div class="border-bottom"></div>
        <div class="bm-label-14 pb-3" style="max-height: 420px;overflow-y: auto;">
            <div class="d-flex flex-row">
                <div class="wd-316 d-flex flex-column">
                    <div class="d-flex flex-row py-2 border-bottom border-right pl-3 "
                        ng-repeat="a in $ctrl.test_included" ng-if="a !=''">
                        <div class="wd-100"><b>{{a.code}}</b></div>
                        <div class="wd-200">{{a.name}}</div>
                    </div>
                </div>
                <div class="p-2 d-flex flex-column">
                    <div ng-repeat="a in $ctrl.modal_init_data.test_requirements"><i
                            class="far fa-check-circle green"></i> {{a.description}}</div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="biomark-modal" ng-if="$ctrl.schedule">
    <div class="modal_container d-flex flex-column align-items-center p-2">
        <label><b>Please select date for test</b></label>
        <div class="mt-3">
            <datetimepicker class="w-100" date-format="dd/MM/yyyy" show-button-bar="false" hidden-time="true"
                ng-model="date" date-opened="$ctrl.dateShowShcFlag">
            </datetimepicker>
            <img src="../../../images/Calendar_Icon.svg" ng-click="$ctrl.dateShowShcFlag = true" />
        </div>
        <button class="button-back green mr-3 mt-4" style="width: 40px;" ng-click="$ctrl.schedule = false">Save</button>
    </div>

</div>
<div class="biomark-popup-error" ng-if="$ctrl.pass_invalid">
    <div>{{$ctrl.error_message}}</div>
</div>
